Add .travis.yml file and missing test
[command.git] / tests / command / understand_void_option.test
diff --git a/tests/command/understand_void_option.test b/tests/command/understand_void_option.test
new file mode 100755 (executable)
index 0000000..36fc4d2
--- /dev/null
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+TEST_VOID=$($srcdir/command/option_test_command void)
+
+if [ "$TEST_VOID" = "VOID" ]; then
+    return 0;
+fi
+
+echo "Command should understand Option<void> (switch). Expecting output: 'VOID', got: '$TEST_VOID'. Program exited with $? code."
+return 1;